Create a recording entry
curl --request POST \
--url http://co-mind-platform-host/v1/echo/recordings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "Team meeting 2025-01-15",
"filename": "meeting.mp3",
"language": "en",
"diarization_enabled": true
}
'import requests
url = "http://co-mind-platform-host/v1/echo/recordings"
payload = {
"title": "Team meeting 2025-01-15",
"filename": "meeting.mp3",
"language": "en",
"diarization_enabled": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: 'Team meeting 2025-01-15',
filename: 'meeting.mp3',
language: 'en',
diarization_enabled: true
})
};
fetch('http://co-mind-platform-host/v1/echo/recordings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"filename": "<string>",
"method": "<string>",
"quality": "<string>",
"language": "<string>",
"diarization_enabled": true,
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": {
"message": "Invalid authentication credentials",
"type": "permission_error",
"code": "unauthorized"
}
}Echo Engine - Recordings
Create a recording entry
Create a new recording entry in the database. Used before starting transcription.
POST
/
v1
/
echo
/
recordings
Create a recording entry
Authorizations
Bearer token authentication. Supports two token types:
- JWT Access Token — obtained via
POST /v1/auth/login - Personal Access Token (PAT) — created via
POST /v1/api-tokens, format:cmnd_<tokenId>.<secret>
Body
application/json
⌘I

